OTBGUI_DIMENSIONALITYREDUCTION(1)

NAME
otbgui_DimensionalityReduction - OTB DimensionalityReduction application

DESCRIPTION
This is the DimensionalityReduction application, version 5.2.0 Perform Dimension reduction of the input image.

Complete documentation: http://www.orfeo-toolbox.org/Applications/DimensionalityReduction.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)

-out
    <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (optional, off by default)

-rescale.outmin
    <float> Output min value (mandatory, default value is 0)

-rescale.outmax
    <float> Output max value (mandatory, default value is 255)

-outinv
    <string> [pixel] Inverse Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (optional, off by default)

-method
    <string> Algorithm [pca/napca/maf/ica] (mandatory, default value is pca)

-method.napca.radiusx <int32>
    Set the x radius of the sliding window. (mandatory, default value is 1)

-method.napca.radiusy <int32>
    Set the y radius of the sliding window. (mandatory, default value is 1)

-method.ica.iter
    <int32> number of iterations (optional, on by default, default value is 20)

-method.ica.mu
    <float> Give the increment weight of W in [0, 1] (optional, on by default, default value is 1)

-nbcomp
    <int32> Number of Components. (optional, on by default, default value is 0)

-normalize
    <boolean> Normalize. (optional, off by default)

-outmatrix
    <string> Transformation matrix output (text format) (optional, off by default)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_DimensionalityReduction -in cupriteSubHsi.tif -out FilterOutput.tif -method pca

SEE ALSO
The full documentation for otbgui_DimensionalityReduction is maintained as a Texinfo manual. If the info and otbgui_DimensionalityReduction programs are properly installed at your site, the command

    info otbgui_DimensionalityReduction

should give you access to the complete manual.